WHAT(1)

NAME
what - extract SCCS version information from a file

SYNOPSIS
what filename...

DESCRIPTION

The what utility searches each filename for occurrences of the pattern @(#) that the SCCS get command (see get(1)) substitutes for the @(#) ID keyword, and prints what follows up to a ", >, NEWLINE, \, or NULL character. For example, if a C program in file program.c contains

    char sccsid[] = "@(#)identification information";

and program.c is compiled to yield program.o and a.out, the command:

    $ what program.c program.o a.out

produces:

    program.c:
        identification information

    program.o:
        identification information

    a.out:
        identification information

The following option is accepted:

-s  Stops after the first occurrence of the pattern.

The following exit values are returned:

0   Any matches were found.

1   No matches found.

SEE ALSO
get(1), help(1)

DIAGNOSTICS
Use the SCCS help command for explanations (see help(1)).

NOTES
There is a remote possibility that a spurious occurrence of the `@(#)' pattern could be found by what.